// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import auth from './auth'

// Grid import
import Grid from './components/Grid'
// Font-awesome icons import
import 'vue-awesome/icons'
import Icon from 'vue-awesome/components/Icon'

// Icons setup
Vue.component('icon', Icon)

// Check the user's auth status when the app starts
auth.checkAuth()

// Register Grid component
Vue.component('grid', Grid)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  template: '<App/>',
  components: { App }
})
